#ifndef __MONITORING_H
#define __MONITORING_H

#include <stdbool.h>




// Коды ошибок модуля
typedef enum
{
    MON_ERR_OK  = 0 << 1,
    MON_RTC     = 1 << 1,
    MON_EEPROM  = 1 << 2,
    MON_CHN     = 1 << 3,
    MON_ADC_EXT = 1 << 4,
    MON_DAC     = 1 << 5,
    MON_ADC_INT = 1 << 6,
    
} monitor_err_code_t;


void mon_set_err(monitor_err_code_t err_code, uint8_t state);


extern uint32_t mon_state; 


#endif  // __MONITORING_H

